<div role="tabpanel" class="tab-pane" id="alternative">
    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_PAYPAL_ENABLED">PayPal</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_PAYPAL_ENABLED" value="1"
                       id="VERIFONE_PAYPAL_ENABLED"
                        {($data['VERIFONE_PAYPAL_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
        <div class="child">
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_PAYPAL_CONTRACT_ID">PayPal contract ID <span class="text-danger">*</span> </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_PAYPAL_CONTRACT_ID" class="form-control" id="VERIFONE_PAYPAL_CONTRACT_ID"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002"
                           value="{( !empty($data['VERIFONE_PAYPAL_CONTRACT_ID'])) ? $data['VERIFONE_PAYPAL_CONTRACT_ID'] : ''}">
                    {if isset($vf_errors['VERIFONE_PAYPAL_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_PAYPAL_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_PAYPAL_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">{l s='The ID can be found in Verifone Central, under Administration → Payment Provider
                            Contracts, after selecting the contract available for PayPal as a service provider.' mod='verifone'}</small>
                    {/if}
                </div>
            </div>
        </div>
    </div>
    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_APPLE_PAY_ENABLED">Apple Pay</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_APPLE_PAY_ENABLED" value="1"
                       id="VERIFONE_APPLE_PAY_ENABLED"
                        {($data['VERIFONE_APPLE_PAY_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
        <div class="child">
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_APPLE_PAY_CONTRACT_ID">Apple Pay contract ID <span class="text-danger">*</span> </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_APPLE_PAY_CONTRACT_ID" id="VERIFONE_APPLE_PAY_CONTRACT_ID" class="form-control"
                           required maxlength="36" minlength="36"
                           value="{( !empty($data['VERIFONE_APPLE_PAY_CONTRACT_ID'])) ? $data['VERIFONE_APPLE_PAY_CONTRACT_ID'] : ''}"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002">
                    {if isset($vf_errors['VERIFONE_APPLE_PAY_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_APPLE_PAY_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_APPLE_PAY_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">
                            {l s='The ID can be found in Verifone Central, under Administration → Payment Provider
                            Contracts, after selecting the contract available for Apple Pay as a service provider.' mod='verifone'}
                            </small>
                    {/if}
                </div>
            </div>
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_APPLE_PAY_SCA_LEVEL">Strong customer authentication </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <select class="select" id="VERIFONE_APPLE_PAY_SCA_LEVEL" name="VERIFONE_APPLE_PAY_SCA_LEVEL" style="width: 50%">
                        <option value="NONE" {(!empty($data['VERIFONE_APPLE_PAY_SCA_LEVEL']) && $data['VERIFONE_APPLE_PAY_SCA_LEVEL'] === 'NONE') ?  'selected' : ''}>
                            NONE
                        </option>
                        <option value="WALLET" {(!empty($data['VERIFONE_APPLE_PAY_SCA_LEVEL']) && $data['VERIFONE_APPLE_PAY_SCA_LEVEL'] === 'WALLET') ?  'selected' : ''}>
                            WALLET
                        </option>
                        <option value="FORCE_3DS" {(!empty($data['VERIFONE_APPLE_PAY_SCA_LEVEL']) && $data['VERIFONE_APPLE_PAY_SCA_LEVEL'] === 'FORCE_3DS') ?  'selected' : ''}>
                            FORCE 3DS
                        </option>
                    </select>
                    <small class="text-muted">
                        {l s='Select the SCA compliance level required, as instructed by the Verifone team.' mod='verifone'}</small>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_APPLE_PAY_THREE_DS_CONTRACT_ID">Apple Pay 3DS contract ID</label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_APPLE_PAY_THREE_DS_CONTRACT_ID" class="form-control" required maxlength="36"
                           minlength="36" id="VERIFONE_APPLE_PAY_THREE_DS_CONTRACT_ID"
                           value="{( !empty($data['VERIFONE_APPLE_PAY_THREE_DS_CONTRACT_ID'])) ? $data['VERIFONE_APPLE_PAY_THREE_DS_CONTRACT_ID'] : ''}"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002">
                    {if isset($vf_errors['VERIFONE_APPLE_PAY_THREE_DS_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_APPLE_PAY_THREE_DS_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_APPLE_PAY_THREE_DS_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">
                            <span class="text-danger"> {l s='This is required only when SCA is set to "FORCE 3DS"</span>. <br/>
                            The ID can be found in Verifone Central, under Administration → Payment Provider Contracts,
                            after selecting the contract available for Apple Pay as a service provider.' mod='verifone'}</small>
                        </small>
                    {/if}
                </div>
            </div>
        </div>
    </div>
    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_GOOGLE_PAY_ENABLED">Google Pay</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_GOOGLE_PAY_ENABLED" value="1"
                       id="VERIFONE_GOOGLE_PAY_ENABLED"
                        {($data['VERIFONE_GOOGLE_PAY_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
        <div class="child">
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_GOOGLE_PAY_CONTRACT_ID">Google Pay contract ID <span class="text-danger">*</span> </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_GOOGLE_PAY_CONTRACT_ID" id="VERIFONE_GOOGLE_PAY_CONTRACT_ID" class="form-control"
                           required maxlength="36" minlength="36"
                           value="{( !empty($data['VERIFONE_GOOGLE_PAY_CONTRACT_ID'])) ? $data['VERIFONE_GOOGLE_PAY_CONTRACT_ID'] : ''}"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002">
                    {if isset($vf_errors['VERIFONE_GOOGLE_PAY_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_GOOGLE_PAY_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_GOOGLE_PAY_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">
                            {l s='The ID can be found in Verifone Central, under Administration → Payment Provider
                            Contracts, after selecting the contract available for GooglePay as a service provider.' mod='verifone'}</small>
                    {/if}
                </div>
            </div>
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_GOOGLE_PAY_SCA_LEVEL">Strong customer authentication </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <select class="select" id="VERIFONE_GOOGLE_PAY_SCA_LEVEL" name="VERIFONE_GOOGLE_PAY_SCA_LEVEL" style="width: 50%">
                        <option value="NONE" {(!empty($data['VERIFONE_GOOGLE_PAY_SCA_LEVEL']) && $data['VERIFONE_GOOGLE_PAY_SCA_LEVEL'] === 'NONE') ?  'selected' : ''}>
                            NONE
                        </option>
                        <option value="WALLET" {(!empty($data['VERIFONE_GOOGLE_PAY_SCA_LEVEL']) && $data['VERIFONE_GOOGLE_PAY_SCA_LEVEL'] === 'WALLET') ?  'selected' : ''}>
                            WALLET
                        </option>
                        <option value="FORCE_3DS" {(!empty($data['VERIFONE_GOOGLE_PAY_SCA_LEVEL']) && $data['VERIFONE_GOOGLE_PAY_SCA_LEVEL'] === 'FORCE_3DS') ?  'selected' : ''}>
                            FORCE 3DS
                        </option>
                    </select>
                    <small class="text-muted">Select the SCA compliance level required, as instructed by the Verifone team.</small>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_GOOGLE_PAY_THREE_DS_CONTRACT_ID">Google Pay 3DS contract ID</label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_GOOGLE_PAY_THREE_DS_CONTRACT_ID" class="form-control" required maxlength="36"
                           minlength="36" id="VERIFONE_GOOGLE_PAY_THREE_DS_CONTRACT_ID"
                           value="{( !empty($data['VERIFONE_GOOGLE_PAY_THREE_DS_CONTRACT_ID'])) ? $data['VERIFONE_GOOGLE_PAY_THREE_DS_CONTRACT_ID'] : ''}"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002">
                    {if isset($vf_errors['VERIFONE_GOOGLE_PAY_THREE_DS_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_GOOGLE_PAY_THREE_DS_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_GOOGLE_PAY_THREE_DS_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">
                            <span class="text-danger"> {l s=' This is required only when SCA is set to "FORCE 3DS"</span>. <br/>
                            The ID can be found in Verifone Central, under Administration → Payment Provider Contracts,
                            after selecting the contract available for GooglePay as a service provider.' mod='verifone'}
                        </small>
                    {/if}
                </div>
            </div>
        </div>
    </div>
    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_MOBILE_PAY_ENABLED">Mobile Pay</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_MOBILE_PAY_ENABLED" value="1"
                       id="VERIFONE_MOBILE_PAY_ENABLED"
                        {($data['VERIFONE_MOBILE_PAY_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
        <div class="child">
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_MOBILE_PAY_CONTRACT_ID">Mobile Pay contract ID <span class="text-danger">*</span> </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_MOBILE_PAY_CONTRACT_ID" id="VERIFONE_MOBILE_PAY_CONTRACT_ID" class="form-control"
                           required maxlength="36" minlength="36"
                           value="{( !empty($data['VERIFONE_MOBILE_PAY_CONTRACT_ID'])) ? $data['VERIFONE_MOBILE_PAY_CONTRACT_ID'] : ''}"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002">
                    {if isset($vf_errors['VERIFONE_MOBILE_PAY_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_MOBILE_PAY_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_MOBILE_PAY_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">
                            {l s='The ID can be found in Verifone Central, under Administration → Payment Provider
                            Contracts, after selecting the contract available for Mobile Pay as a service provider.' mod='verifone'}</small>
                    {/if}
                </div>
            </div>
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_MOBILE_PAY_SCA_LEVEL">Strong customer authentication </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <select class="select" id="VERIFONE_MOBILE_PAY_SCA_LEVEL" name="VERIFONE_MOBILE_PAY_SCA_LEVEL" style="width: 50%">
                        <option value="NONE" {(!empty($data['VERIFONE_MOBILE_PAY_SCA_LEVEL']) && $data['VERIFONE_MOBILE_PAY_SCA_LEVEL'] === 'NONE') ?  'selected' : ''}>
                            NONE
                        </option>
                        <option value="WALLET" {(!empty($data['VERIFONE_MOBILE_PAY_SCA_LEVEL']) && $data['VERIFONE_MOBILE_PAY_SCA_LEVEL'] === 'WALLET') ?  'selected' : ''}>
                            WALLET
                        </option>
                        <option value="FORCE_3DS" {(!empty($data['VERIFONE_MOBILE_PAY_SCA_LEVEL']) && $data['VERIFONE_MOBILE_PAY_SCA_LEVEL'] === 'FORCE_3DS') ?  'selected' : ''}>
                            FORCE 3DS
                        </option>
                    </select>
                    <small class="text-muted">
                        {l s='Select the SCA compliance level required, as instructed by the Verifone team.' mod='verifone'}</small>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_MOBILE_PAY_THREE_DS_CONTRACT_ID">Mobile Pay 3DS contract ID</label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_MOBILE_PAY_THREE_DS_CONTRACT_ID" class="form-control" required maxlength="36"
                           minlength="36" id="VERIFONE_MOBILE_PAY_THREE_DS_CONTRACT_ID"
                           value="{( !empty($data['VERIFONE_MOBILE_PAY_THREE_DS_CONTRACT_ID'])) ? $data['VERIFONE_MOBILE_PAY_THREE_DS_CONTRACT_ID'] : ''}"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002">
                    {if isset($vf_errors['VERIFONE_MOBILE_PAY_THREE_DS_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_MOBILE_PAY_THREE_DS_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_MOBILE_PAY_THREE_DS_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">
                            <span class="text-danger">{l s=' This is required only when SCA is set to "FORCE 3DS" or "WALLET"</span>. <br/>
                            The ID can be found in Verifone Central, under Administration → Payment Provider Contracts,
                            after selecting the contract available for Mobile Pay as a service provider.' mod='verifone'}
                        </small>
                    {/if}
                </div>
            </div>
        </div>
    </div>

    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_VIPPS_ENABLED">Vipps</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_VIPPS_ENABLED" value="1"
                       id="VERIFONE_VIPPS_ENABLED"
                        {($data['VERIFONE_VIPPS_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
        <div class="child">
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_VIPPS_CONTRACT_ID">Vipps contract ID <span class="text-danger">*</span> </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_VIPPS_CONTRACT_ID" id="VERIFONE_VIPPS_CONTRACT_ID" class="form-control"
                           required maxlength="36" minlength="36"
                           value="{( !empty($data['VERIFONE_VIPPS_CONTRACT_ID'])) ? $data['VERIFONE_VIPPS_CONTRACT_ID'] : ''}"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002">
                    {if isset($vf_errors['VERIFONE_VIPPS_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_VIPPS_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_VIPPS_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">The ID can be found in Verifone Central, under Administration → Payment Provider
                            Contracts, after selecting the contract available for Vipps as a service provider.</small>
                    {/if}
                </div>
            </div>
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_VIPPS_SCA_LEVEL">Strong customer authentication </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <select class="select" id="VERIFONE_VIPPS_SCA_LEVEL" name="VERIFONE_VIPPS_SCA_LEVEL" style="width: 50%">
                        <option value="NONE" {(!empty($data['VERIFONE_VIPPS_SCA_LEVEL']) && $data['VERIFONE_VIPPS_SCA_LEVEL'] === 'NONE') ?  'selected' : ''}>
                            NONE
                        </option>
                        <option value="WALLET" {(!empty($data['VERIFONE_VIPPS_SCA_LEVEL']) && $data['VERIFONE_VIPPS_SCA_LEVEL'] === 'WALLET') ?  'selected' : ''}>
                            WALLET
                        </option>
                        <option value="FORCE_3DS" {(!empty($data['VERIFONE_VIPPS_SCA_LEVEL']) && $data['VERIFONE_VIPPS_SCA_LEVEL'] === 'FORCE_3DS') ?  'selected' : ''}>
                            FORCE 3DS
                        </option>
                    </select>
                    <small class="text-muted">Select the SCA compliance level required, as instructed by the Verifone team.</small>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_VIPPS_THREE_DS_CONTRACT_ID">Vipps 3DS contract ID</label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_VIPPS_THREE_DS_CONTRACT_ID" class="form-control" required maxlength="36"
                           minlength="36" id="VERIFONE_VIPPS_THREE_DS_CONTRACT_ID"
                           value="{( !empty($data['VERIFONE_VIPPS_THREE_DS_CONTRACT_ID'])) ? $data['VERIFONE_VIPPS_THREE_DS_CONTRACT_ID'] : ''}"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002">
                    {if isset($vf_errors['VERIFONE_VIPPS_THREE_DS_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_VIPPS_THREE_DS_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_VIPPS_THREE_DS_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">
                            <span class="text-danger"> This is required only when SCA is set to "FORCE 3DS" or "WALLET"</span>. <br/>
                            The ID can be found in Verifone Central, under Administration → Payment Provider Contracts,
                            after selecting the contract available for Vipps as a service provider.
                        </small>
                    {/if}
                </div>
            </div>
        </div>
    </div>
    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_SWISH_ENABLED">Swish</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_SWISH_ENABLED" value="1"
                       id="VERIFONE_SWISH_ENABLED"
                        {($data['VERIFONE_SWISH_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
    </div>
    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_KLARNA_ENABLED">Klarna</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_KLARNA_ENABLED" value="1"
                       id="VERIFONE_KLARNA_ENABLED"
                        {($data['VERIFONE_KLARNA_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
    </div>
    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_GPP2_ENABLED">Gpp2</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_GPP2_ENABLED" value="1"
                       id="VERIFONE_GPP2_ENABLED"
                        {($data['VERIFONE_GPP2_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
        <div class="child">
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_GPP2_CONTRACT_ID">Gpp2 contract ID <span class="text-danger">*</span> </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_GPP2_CONTRACT_ID" class="form-control" id="VERIFONE_GPP2_CONTRACT_ID"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002"
                           value="{( !empty($data['VERIFONE_GPP2_CONTRACT_ID'])) ? $data['VERIFONE_GPP2_CONTRACT_ID'] : ''}">
                    {if isset($vf_errors['VERIFONE_GPP2_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_GPP2_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_GPP2_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">The ID can be found in Verifone Central, under Administration → Payment Provider
                            Contracts, after selecting the contract available for Gpp2 as a service provider.</small>
                    {/if}
                </div>
            </div>
        </div>
    </div>

    <div class="parent">
        <div class="row form-group">
            <div class="col-md-3 col-sm-4 text-right">
                <label for="VERIFONE_BANK_OP_ENABLED">Bank OP</label>
            </div>
            <div class="col-md-9 col-sm-8">
                <input type="checkbox"
                       class="toggle-btn enable"
                       name="VERIFONE_BANK_OP_ENABLED" value="1"
                       id="VERIFONE_BANK_OP_ENABLED"
                        {($data['VERIFONE_BANK_OP_ENABLED'] === '1') ? 'checked' : ''}
                       data-size="small"
                       data-onstyle="success"
                       data-offstyle="danger"
                       data-toggle="toggle"
                       data-width="100"
                       data-on="Enabled"
                       data-off="Disabled">
            </div>
        </div>
        <div class="child">
            <div class="row form-group">
                <div class="col-md-3 col-sm-4 text-right">
                    <label for="VERIFONE_BANK_OP_CONTRACT_ID">Bank OP contract ID <span class="text-danger">*</span> </label>
                </div>
                <div class="col-md-9 col-sm-8">
                    <input type="text" name="VERIFONE_BANK_OP_CONTRACT_ID" class="form-control" id="VERIFONE_BANK_OP_CONTRACT_ID"
                           placeholder="5ee2f5c4-97dc-11ed-a8fc-0242ac120002"
                           value="{( !empty($data['VERIFONE_BANK_OP_CONTRACT_ID'])) ? $data['VERIFONE_BANK_OP_CONTRACT_ID'] : ''}">
                    {if isset($vf_errors['VERIFONE_BANK_OP_CONTRACT_ID']) && !empty($vf_errors['VERIFONE_BANK_OP_CONTRACT_ID'])}
                        <ul>
                            {foreach $vf_errors['VERIFONE_BANK_OP_CONTRACT_ID'] as $error}
                                <li><small class="text-danger">{$error}</small></li>
                            {/foreach}
                        </ul>
                    {else}
                        <small class="text-muted">The ID can be found in Verifone Central, under Administration → Payment Provider
                            Contracts, after selecting the contract available for BANK OP as a service provider.</small>
                    {/if}
                </div>
            </div>
        </div>
    </div>


</div>
